/* -*- mode: c++; c-basic-offset: 3; -*- */
#include "html/tag_only.hh"
#include "html/writer.hh"
#include "genAttr.hh"

using namespace std;
using namespace html;

html::tag_only::tag_only(const std::string& name)
   : _tag(name)
{}

html::tag_only::~tag_only(void) {
}

html::tag_only* html::tag_only::clone(void) const {
   return new tag_only(*this);
}

attrib&
tag_only::addAttr(const std::string& name, const std::string& value) {
   return _attrs.addAttr(name, genAttr(value));
}

void
html::tag_only::write(writer& out) const {
   out.tagNData(_tag, _attrs);
}
